---
layout: page
title: fids
description: Flight Information Display System
importance: 2
github: https://git.slc.ar/slococo/fids
category: university
---

### Overview

The FIDS (Flight Information Display System) project adopts a microservices architecture, comprising a collection of independently deployable services, each fulfilling specific functionalities within the system. The services `auth-domain`, `browser-domain`, `flights-domain`, `screens-domain`, `subscription-domain`, and `gateway`, work together to handle different tasks such as user authentication, displaying flight details, managing subscriptions, and connecting to other systems.

### Objective

The main goal of the FIDS project is to create a system that can handle flight information and user interactions smoothly. With a microservices architecture, each part of the system can be developed, deployed, and scaled independently, making it easier to adapt to changing needs.

### Key features

- **Microservices setup:** using microservices makes the FIDS system flexible and fast. Each service can be worked on and updated separately, which speeds up development and deployment.
- **User-friendly design:** services like `browser-domain` and `screens-domain` are designed with users in mind, providing interfaces tailored to different types of users. This makes the system easier and more pleasant to use.
- **Flight info management:** the `flights-domain` service handles all aspects of flight information, making sure data is accurate and up-to-date.
- **Offline capability:** the `screens-domain` service lets users access cached flight info even when they're not connected to the internet, which is handy in places like airports where connections can be unreliable.
- **Subscription management:** the `subscription-domain` service makes it easy for users to manage their subscriptions and get notifications, which helps keep them engaged with the system.
- **Secure API access:** the `gateway` service acts as the central gateway for accessing the system's services securely. It also makes sure that only authorized users can access the system, keeping everything safe.
